### Name: setDefaults
### Title: Create Global Defaults List By Function
### Aliases: setDefaults unsetDefaults
### Keywords: utilities

### ** Examples

my.fun <- function(x=2,y=1) { x ^ y }
my.fun()            #returns 2
my.fun(x=2,y=10)    #returns 1024

setDefaults(my.fun,x=2,y=3)
useDefaults(my.fun)
my.fun

my.fun()            #returns 8
my.fun(y=10)        #returns 1024
my.fun(x=2,y=10)    #returns 1024

unDefaults(my.fun)
my.fun
my.fun()            #returns 2

getDefaults(my.fun)
setDefaults(my.fun,x=NULL)  #removes the value for x, leaving just y
unsetDefaults(my.fun,confirm=FALSE)  
getDefaults(my.fun)



